[arch-commits] Commit in xdg-utils/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jun 7 05:58:58 EDT 2009


    Date: Sunday, June 7, 2009 @ 05:58:58
  Author: jgc
Revision: 41780

Merged revisions 356,40970 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xdg-utils/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r40970 | jgc | 2009-06-01 17:32:19 +0200 (Mon, 01 Jun 2009) | 4 lines
  
  upgpkg: xdg-utils 1.0.2-2
      Fix manpage location
  Depend on sh
  Add license
........

Modified:
  xdg-utils/repos/extra-i686/	(properties)
  xdg-utils/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)


Property changes on: xdg-utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xdg-utils/trunk:1
   + /xdg-utils/trunk:1-41779

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-07 09:56:47 UTC (rev 41779)
+++ extra-i686/PKGBUILD	2009-06-07 09:58:58 UTC (rev 41780)
@@ -3,17 +3,20 @@
 
 pkgname=xdg-utils
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Command line tools that assist applications with a variety of desktop integration tasks."
 arch=(i686 x86_64)
 url="http://portland.freedesktop.org/"
+depends=('sh')
 license=(MIT)
 source=(http://portland.freedesktop.org/download/$pkgname-$pkgver.tgz)
 md5sums=('348a5b91dc66426505022c74a64b2940')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list